/****************************************************************************
	Bagotronix, Inc.
	1019 Crossing Brook Way
	Tallahassee, FL 32311

	(C) Copyright 1999 Bagotronix
	All rights reserved

	Filename:  		dsrtc.h
	Programmer(s):	Ivan Baggett
	Description:	Sunflower C(tm) library
					DS1689 Real Time Clock functions header file
	comments:
****************************************************************************/


#ifndef DSRTC_ALREADY_INCLUDED
#define DSRTC_ALREADY_INCLUDED


#include "stdinc.h"
#include "dosstamp.h"


#ifdef __cplusplus
	extern "C" {
#endif

void RTCon (void);
void RTCoff (void);
void RTCinit (void);
void RTCsettime (UWORD, UWORD, UWORD);
void RTCgettime (UWORD *, UWORD *, UWORD *);
void RTCsetdate (UWORD, UWORD, UWORD, UWORD);
void RTCgetdate (UWORD *, UWORD *, UWORD *, UWORD *);
BOOLEAN RTCRAMtest (void);
void RTCalarmcontrol (BOOLEAN, BOOLEAN, BOOLEAN);
void RTCsetalarmtime (UWORD, UWORD, UWORD);
void RTCsetalarmdate (UWORD);
void RTCpowerdown (void);
void RTCsetperiod (UBYTE);
BOOLEAN RTCautodetect (void);

#ifdef __cplusplus
	}
#endif

#define	RTC_SEC			(RTC_BASE)
#define	RTC_ALARM_SEC	(RTC_BASE + 1)
#define	RTC_MIN			(RTC_BASE + 2)
#define	RTC_ALARM_MIN	(RTC_BASE + 3)
#define	RTC_HR			(RTC_BASE + 4)
#define	RTC_ALARM_HR	(RTC_BASE + 5)
#define	RTC_DAY			(RTC_BASE + 6)
#define	RTC_DATE		(RTC_BASE + 7)
#define	RTC_MON			(RTC_BASE + 8)
#define	RTC_YR			(RTC_BASE + 9)
#define	RTC_REGA		(RTC_BASE + 10)
#define	RTC_REGB		(RTC_BASE + 11)
#define	RTC_REGC		(RTC_BASE + 12)
#define	RTC_REGD		(RTC_BASE + 13)
#define	RTC_CENT		(RTC_BASE + 0x0048)
#define	RTC_ALARM_DATE	(RTC_BASE + 0x0049)
#define	RTC_REG4A		(RTC_BASE + 0x004a)
#define	RTC_REG4B		(RTC_BASE + 0x004b)

#define	RTC_8192HZ		3
#define	RTC_4096HZ		4
#define	RTC_2048HZ		5
#define	RTC_1024HZ		6
#define	RTC_512HZ		7
#define	RTC_256HZ		8
#define	RTC_128HZ		9
#define	RTC_64HZ		10
#define	RTC_32HZ		11
#define	RTC_16HZ		12
#define	RTC_8HZ			13
#define	RTC_4HZ			14
#define	RTC_2HZ			15

#endif
